#include "Event/converterServer.h"

#include "Event/processManager.h"
#include "Event/messageManager.h"

#include "Event/algorithmImport.h"

//###############################
converterServer::converterServer()
//###############################
{
	m_server = new serverVI<converterVI>();
}
//###############################
converterVI* converterServer::getConverter(std::string name)
//###############################
{
	if (m_server->search(name)) return m_server->get(name);
	else messageManager::instance()->message("Not found converter "+name);
	return 0;
	
}
//###############################
void converterServer::addConverter(std::string name, converterVI* conv)
//###############################
{
	if (!m_server->search(name)) m_server->add(name,conv);
	else messageManager::instance()->message(" converter already defined "+name);
}
//###############################
void converterServer::makeAlgorithms()
//###############################
{
	processManager* m = processManager::instance();
	for (int iconv = 0; iconv < m_server->size(); iconv++) {
		converterVI* conv = m_server->get(iconv);
		std::string name  = m_server->getName(iconv);
		m->addAlgorithm("load"+name, new algorithmImport<converterVI>(conv, &converterVI::load ));
		m->addAlgorithm("save"+name, new algorithmImport<converterVI>(conv, &converterVI::save ));
	}
}