#ifndef OPTIONMANAGER_H
#define OPTIONMANAGER_H

#include "Event/optionServer.h"
#include "Event/serviceI.h"
#include "Event/serverVI.h"

//------------------------------------------------
//! Manager to store and apply options to a collection of optionVI classes
/*! 
\e OptionManager uses optionServer to store and set options to a collection
of optionVI classes (see optionServer).
\e OptionManager reads and sets options from a file (i.e centella.in).<br>
<ul>
	<li> The method \c setOption(int, char*) allows to pass the C \c main()
	arguments into the optionManager and handle them as convenient.
</ul>
*/
//----------------------------------------------
//             J.A Hernando, Santa Cruz 02/29/00
//----------------------------------------------

//##############################
class optionManager : public optionServer, public serviceI
//##############################
{
public:
	
	//! Default constructor
	optionManager();
	//! default destructor
	virtual ~optionManager() {};
	
	//! Singleton: returns pointer to the class
	static optionManager* instance() {return m_instance;}

	//! reads the input line C arguments and translate them into set options
	void setOption(int argc, char* argv[]);

protected:

	//! define the options
	virtual void defineOption();

private:

	//! Singleton: pointer to this class
	static optionManager* m_instance;
};

#endif
