#include "Event/rHistoFolderServer.h"

#include "Event/processManager.h"
#include "Event/messageManager.h"

#include "Event/algorithmImport.h"

//######################################
rHistoFolderServer::rHistoFolderServer()
//######################################
{
	m_server = new serverVI<rHistoFolder>();
}
//######################################
rHistoFolderServer::~rHistoFolderServer()
//######################################
{
}
//######################################
void rHistoFolderServer::makeAlgorithms()
//######################################
{
	processManager* pM = processManager::instance();
	for (int ihits = 0; ihits < m_server->size(); ihits++) {
		std::string name = m_server->getName(ihits);
		rHistoFolder* hfolder = m_server->get(ihits);
		pM->addAlgorithm("fill"+name, new algorithmImport<rHistoFolder>(hfolder, &rHistoFolder::fill));
	}
}
//######################################
void rHistoFolderServer::addHistoFolder(std::string name, rHistoFolder* folder)
//######################################
{
	if (!m_server->search(name)) m_server->add(name, folder);
	else messageManager::instance()->message(" rHistoServer already in server "+name);
}
//######################################
rHistoFolder* rHistoFolderServer::getHistoFolder(std::string name) const
//######################################
{
	if (m_server->search(name)) return m_server->get(name);
	else messageManager::instance()->message(" rHistoServer not found "+name);
	return 0;
}
//######################################
void rHistoFolderServer::setFile(TFile* file)
//######################################
{
	for (int i=0; i < m_server->size(); i++) m_server->get(i)->setFile(file);
}
