#include "Event/rHistoServer.h"
#include "Event/messageManager.h"

//###############################
rHistoServer::rHistoServer()
//###############################
{
	/*! create the server of rHisto */
	m_histos = new serverVI<rHisto>();
	/*! create a private optionServer*/
	m_optServer = new optionServer();

	/*! null the file from where to get the definition of the rHisto s*/
	m_optServer->setOptionFileName("");

}
//###############################
rHistoServer::~rHistoServer()
//###############################
{
	/*! who should delete the rHisto ?*/
	delete m_histos;
	delete m_optServer;
}

//#############################
void rHistoServer::newHisto(std::string typ, std::string name, std::string title, 
			   double nx, double x0, double xf,
			   double ny, double y0, double yf)
//#############################
{
	addHisto( new rHisto(typ,name,title,nx,x0,xf,ny,y0,yf) );
}
//###############################
void rHistoServer::addHisto(rHisto* histo)
//###############################
{
	std::string hname = histo->histoName();
	if (m_histos->search(hname) || m_optServer->search(hname)) {
		messageManager::instance()->message(" histo already in server! "+hname);
		return;
	}
	/*! add histo in the server of histos */
	m_histos->add(hname,histo);
	/*! add histo in the server of options */
	m_optServer->addToServer(hname,histo);
}