
#ifndef rTFileBase_h
#define rTFileBase_h

#include "Event/IOfileVI.h"

class TFile;

//---------------------------------------
//! It uses the IOfileVI interface to open/close and access ROOT files (TFile)
/*! The ROOT files used by centella should inherit from rTFileBase */
//---------------------------------------
// JA Hernando, Santa Cruz, CA, 05/15/00
//----------------------------------------
//###############
class rTFileBase : public IOfileVI
//###############
{	
public:

	//! constructor
	rTFileBase()  {clear();}
	//! destructor 
	virtual ~rTFileBase() {clear();}

	//! open a file "filename" in Read/Write mode
	virtual void open(); // init with this root file
	//! close the root-file
	virtual void close();
	//! clear the the member variables
	virtual void clear();

	//! return the pointer to the root-file
	/*! To active this ROOT file the derived methods sould call "getFile()->cd();" */
	TFile* getFile() {return m_RFile; };

protected:

	//! pointer to the ROOT file
	TFile*        m_RFile; // input file
};
#endif

