#ifndef userDataEvent_h
#define userDataEvent_h

#include "Event/dataManager.h"
#include "Event/dataEventServer.h"

//---------------------------------------
//! Class left to the user to create his/her transient EVENT Data
/*! 
\c userDataEvent should be implemented by the USER
<ul>
	<li> The user event transient data classes should be created in the constructor of this class. <br>
	<li> The user event transient data classes should be added into the 
	dataEventServer of the dataManager in the constructor of this class.
	For that use the following code line:<br>
	<b> dataManager::instance()->evt()->addData("nameData", new dataClass()); </b><br>
	This a similar process of adding algorithms or cuts. See userAlgorithms.
	<li> All the user event transient data classes should inherit from trsDataVI.
	<li> An careful programer will keep the pointer to the created class in this
	class an will destroyed it in the destructor of this class. The same apply
	to userDataDetector, userAlgorithms and userCuts.
</ul>
*/
//----------------------------
// JA Hernando, Santa Cruz, CA, 06/15/00
//----------------------------
//##########################
class userDataEvent
//##########################
{
public:
	//! constructor 
	/*! create the user event transient data classes and stores them into the dataEventServer*/
	userDataEvent();
	//! destructor - destroies the user event transient data classes.
	~userDataEvent(){}
};
#endif